#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 10. Graphics and Font Libraries

- Prev

  opencv-4.5.5

- Next

  Pixman-0.40.0

- Up
- Home

# OpenJPEG-2.4.0

## Introduction to OpenJPEG

OpenJPEG is an open-source implementation of the JPEG-2000 standard. OpenJPEG fully respects the JPEG-2000 specifications and can compress/decompress lossless 16-bit images.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/uclouvain/openjpeg/archive/v2.4.0/openjpeg-2.4.0.tar.gz

- Download MD5 sum: 4d388298335947367e91f1d100468af1

- Download size: 2.1 MB

- Estimated disk space required: 16 MB

- Estimated build time: 0.2 SBU

### OpenJPEG Dependencies

#### Required

CMake-3.22.2

#### Optional

Little CMS-2.13.1, libpng-1.6.37, libtiff-4.3.0, and Doxygen-1.9.3 (to build the API documentation)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/openjpeg2

## Installation of OpenJPEG

Install OpenJPEG by running the following commands:

    mkdir -v build &&
    cd       build &&

    cmake -DCMAKE_BUILD_TYPE=Release \
          -DCMAKE_INSTALL_PREFIX=/usr \
          -DBUILD_STATIC_LIBS=OFF .. &&
    make

This package does not come with a working test suite.

Now, as the `root` user:

    make install &&

    pushd ../doc &&
      for man in man/man?/* ; do
          install -v -D -m 644 $man /usr/share/$man
      done
    popd

## Contents

Installed Programs: opj_compress, opj_decompress, and opj_dump
Installed Libraries: libopenjp2.so
Installed Directories: /usr/include/openjpeg-2.4 and /usr/lib/openjpeg-2.4

### Short Descriptions

opj_compress | converts various image formats to the jpeg2000 format
opj_decompress | converts jpeg2000 images to other image types
opj_dump | reads in a jpeg2000 image and dumps the contents to stdout

Last updated on

- Prev

  opencv-4.5.5

- Next

  Pixman-0.40.0

- Up
- Home